
Redmine - Defect #14652

Internal error after login

2013-08-09 08:45 - Ivan Cenov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I suspect that the new function, 'user must change password on next login' is related to next Internal error:

Started GET "/" for 192.168.60.101 at 2013-08-09 09:36:36 +0300

Processing by WelcomeController#index as HTML

  Current user: anonymous

Redirected to http://walker:3000/login?back_url=http%3A%2F%2Fwalker%3A3000%2F

Filter chain halted as :check_if_login_required rendered or redirected

Completed 302 Found in 7ms (ActiveRecord: 2.0ms)

Started GET "/login?back_url=http%3A%2F%2Fwalker%3A3000%2F" for 192.168.60.101 at 2013-08-09 09:36

:36 +0300

Processing by AccountController#login as HTML

  Parameters: {"back_url"=>"http://walker:3000/"}

  Current user: anonymous

  Rendered account/login.html.erb within layouts/base (2.0ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_html_header.html.erb (0.0ms)

  Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_headers.html.erb (2.0ms)

  Rendered plugins/redmine_favourite_projects/app/views/favourite_projects/_favourite_projects_sea

rchbox_partial.html.erb (0.0ms)

  Rendered plugins/sidebar_hide/app/views/sidebar/_hideButton_partial.html.erb (2.0ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_body_bottom.html.erb (0.0ms)

  Rendered plugins/redmine_favourite_projects/app/views/favourite_projects/_update_menu.erb (0.0ms

)

  Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_add_form.html.erb (4.0ms

)

Completed 200 OK in 129ms (Views: 28.0ms | ActiveRecord: 98.0ms)

Started POST "/login" for 192.168.60.101 at 2013-08-09 09:36:47 +0300

Processing by AccountController#login as HTML

  Parameters: {"utf8"=>"вњ“", "authenticity_token"=>"Xv5pNso+5RHnui77LAe6CLmOcc4XlbcpYV8uYWoiitg="

, "back_url"=>"http://walker:3000/", "username"=>"jwalker", "password"=>"[FILTERED]", "login"=>"Р’

С…РѕРґ В»"}

  Current user: anonymous

Successful authentication for 'jwalker' from 192.168.60.101 at 2013-08-09 06:36:47 UTC

Completed 500 Internal Server Error in 113ms

NoMethodError (undefined method `must_change_passwd?' for #<User:0x48168a8>):

  app/models/user.rb:284:in `must_change_password?'

  app/controllers/application_controller.rb:81:in `start_user_session'

  app/controllers/application_controller.rb:158:in `logged_user='

  app/controllers/account_controller.rb:245:in `successful_authentication'

  app/controllers/account_controller.rb:192:in `password_authentication'

  app/controllers/account_controller.rb:178:in `authenticate_user'

  app/controllers/account_controller.rb:32:in `login'

Redmine is trunk r12103.

History

#1 - 2013-08-09 09:26 - Toshi MARUYAMA

Did you run db:migrate?
https://www.redmine.org/projects/redmine/repository/svn/revisions/12103


#2 - 2013-08-09 11:10 - Ivan Cenov

I haven't.

After I migrated this error disappeared, but another one appeared:

Started GET "/login" for 192.168.142.1 at 2013-08-09 12:04:28 +0300

Processing by AccountController#login as HTML

  Current user: anonymous

  Rendered account/login.html.erb within layouts/base (3.0ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_html_header.html.erb (0.0ms)

  Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_headers.html.erb (3.0ms)

  Rendered plugins/redmine_favourite_projects/app/views/favourite_projects/_favourite_projects_searchbox_parti

al.html.erb (0.0ms)

  Rendered plugins/sidebar_hide/app/views/sidebar/_hideButton_partial.html.erb (1.0ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_body_bottom.html.erb (0.0ms)

  Rendered plugins/redmine_favourite_projects/app/views/favourite_projects/_update_menu.erb (0.0ms)

  Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_add_form.html.erb (3.0ms)

Completed 200 OK in 43ms (Views: 32.0ms | ActiveRecord: 8.0ms)

Started POST "/login" for 192.168.142.1 at 2013-08-09 12:04:33 +0300

Processing by AccountController#login as HTML

  Parameters: {"utf8"=>"вњ“", "authenticity_token"=>"Xv5pNso+5RHnui77LAe6CLmOcc4XlbcpYV8uYWoiitg=", "username"

=>"jwalker", "password"=>"[FILTERED]", "login"=>"Р’С…РѕРґ В»"}

  Current user: anonymous

Successful authentication for 'jwalker' from 192.168.142.1 at 2013-08-09 09:04:33 UTC

Redirected to http://walker:3000/my/page

Completed 302 Found in 96ms (ActiveRecord: 86.0ms)

NoMethodError (undefined method `options' for {:user_id=>30, :ctime=>1376039073, :atime=>1376039073}:Hash):

  rack (1.5.2) lib/rack/session/abstract/id.rb:329:in `commit_session'

  rack (1.5.2) lib/rack/session/abstract/id.rb:226:in `context'

  rack (1.5.2) lib/rack/session/abstract/id.rb:220:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/cookies.rb:341:in `call'

  activerecord (3.2.13) lib/active_record/query_cache.rb:64:in `call'

  activerecord (3.2.13) lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `_run__931039574__call__745825685__callbacks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.13) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `run_callbacks'

  actionpack (3.2.13) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.13) lib/rails/rack/logger.rb:32:in `call_app'

  railties (3.2.13) lib/rails/rack/logger.rb:16:in `block in call'

  activesupport (3.2.13) lib/active_support/tagged_logging.rb:22:in `tagged'

  railties (3.2.13) lib/rails/rack/logger.rb:16:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.5.2) lib/rack/methodoverride.rb:21:in `call'

  rack (1.5.2) lib/rack/runtime.rb:17:in `call'

  activesupport (3.2.13) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

  rack (1.5.2) lib/rack/lock.rb:17:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/static.rb:63:in `call'

  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

  rack-cache (1.2) lib/rack/cache/context.rb:143:in `pass'

  rack-cache (1.2) lib/rack/cache/context.rb:155:in `invalidate'

  rack-cache (1.2) lib/rack/cache/context.rb:71:in `call!'

  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

  railties (3.2.13) lib/rails/engine.rb:479:in `call'

  railties (3.2.13) lib/rails/application.rb:223:in `call'

  railties (3.2.13) lib/rails/railtie/configurable.rb:30:in `method_missing'

  rack (1.5.2) lib/rack/commonlogger.rb:33:in `call'

  puma (1.6.3) lib/puma/server.rb:412:in `handle_request'

  puma (1.6.3) lib/puma/server.rb:306:in `process_client'

  puma (1.6.3) lib/puma/server.rb:215:in `block in run'

  puma (1.6.3) lib/puma/thread_pool.rb:94:in `call'

  puma (1.6.3) lib/puma/thread_pool.rb:94:in `block in spawn_thread'

Does Redmine works with rack 1.5.2?

#3 - 2013-11-25 18:40 - Toni Mueller

I see the same problem with Redmine 2.3.3 and rack 1.5.2, with a fresh, empty installation (Debian unstable).
NoMethodError (undefined method `options' for {:user_id=>1, :ctime=>1385393559, :atime=>1385393559}:Hash):

  /usr/lib/ruby/vendor_ruby/rack/session/abstract/id.rb:329:in `commit_session'

  /usr/lib/ruby/vendor_ruby/rack/session/abstract/id.rb:226:in `context'

  /usr/lib/ruby/vendor_ruby/rack/session/abstract/id.rb:220:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/cookies.rb:341:in `call'

  /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:64:in `call'

  /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/callbacks.rb:28:in `block in call'

  /usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:405:in `_run__804960317947970016__call__96588064581330

3244__callbacks'

  /usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:405:in `__run_callback'

  /usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:385:in `_run_call_callbacks'

  /usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:81:in `run_callbacks'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/callbacks.rb:27:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/reloader.rb:65:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/remote_ip.rb:31:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  /usr/lib/ruby/vendor_ruby/rails/rack/logger.rb:32:in `call_app'

  /usr/lib/ruby/vendor_ruby/rails/rack/logger.rb:18:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/request_id.rb:22:in `call'

  /usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in `call'

  /usr/lib/ruby/vendor_ruby/rack/runtime.rb:17:in `call'

  /usr/lib/ruby/vendor_ruby/active_support/cache/strategy/local_cache.rb:72:in `call'

  /usr/lib/ruby/vendor_ruby/rack/lock.rb:17:in `call'

  /usr/lib/ruby/vendor_ruby/action_dispatch/middleware/static.rb:63:in `call'

  /usr/lib/ruby/vendor_ruby/rails/engine.rb:479:in `call'

  /usr/lib/ruby/vendor_ruby/rails/application.rb:223:in `call'

  /usr/lib/ruby/vendor_ruby/rails/railtie/configurable.rb:30:in `method_missing'

  /usr/lib/ruby/vendor_ruby/rack/builder.rb:138:in `call'

  /usr/lib/ruby/vendor_ruby/rack/urlmap.rb:65:in `block in call'

  /usr/lib/ruby/vendor_ruby/rack/urlmap.rb:50:in `each'

  /usr/lib/ruby/vendor_ruby/rack/urlmap.rb:50:in `call'

  /usr/lib/ruby/vendor_ruby/unicorn/http_server.rb:580:in `process_client'

  /usr/lib/ruby/vendor_ruby/unicorn/http_server.rb:660:in `worker_loop'

  /usr/lib/ruby/vendor_ruby/unicorn/http_server.rb:527:in `spawn_missing_workers'

  /usr/lib/ruby/vendor_ruby/unicorn/http_server.rb:153:in `start'

  /usr/bin/unicorn_rails:209:in `<main>'

 See also

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730494

#4 - 2014-11-04 23:18 - Marcos Arce

Got into the same problem migrating from Mysql to Postgresql 9.4

In the end everything worked fine, just some db:migrate, I had to drop a couple of tables in order to be able to run db:migrate, but it worked.

#5 - 2018-11-03 04:53 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

I am closing this issue because the version of Redmine is very old.

Please reopen this issue if you still experience the problem with the latest versions of Redmine.
